# ソーシャルネットワーク

**ソーシャルネットワーク**の動作 — 友達、グループ、ウォール投稿、フォトアルバム。

これらの設定には、**管理 > 設定 > ソーシャルネットワーク**からアクセスできます。このカテゴリには**7つの設定**が含まれており、以下にプラットフォームの設定フィクスチャ（`SettingsCurrentFixtures.php`）に記載されているタイトルとコメントを記載しています。

> コード内の変数名は等幅フォントで表示されています。APIを通じてスクリプトを作成する場合や、[`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml)を編集してこれらの設定をグローバルレベルで変更する必要がある場合に使用してください。

## 設定

### `allow_social_tool`

**ソーシャルネットワークツール（Facebook風）**

ソーシャルネットワークツールを使用すると、ユーザーは他のユーザーとの関係を定義し、友達グループを作成することができます。内部メッセージングツールと組み合わせることで、ポータル環境内で友達との密接なコミュニケーションが可能になります。

*デフォルト: `true`*

### `allow_students_to_create_groups_in_social`

**学習者がソーシャルネットワークでグループを作成することを許可**

学習者がソーシャルネットワーク内でグループを作成することを許可します。

*デフォルト: `false`*

### `disable_dislike_option`

**ソーシャル投稿の「嫌い」オプションを無効化**

ソーシャル投稿のフィードバックから「嫌い」（サムダウン）オプションを削除します。「いいね」（サムアップ）のみを残します。

*デフォルト: `false`*

### `hide_social_groups_block`

**ソーシャルネットワークでグループブロックを非表示**

ソーシャルネットワークビューからグループセクションを削除します。

*デフォルト: `false`*

### `social_enable_messages_feedback`

**ソーシャル投稿への「いいね/嫌い」**

ユーザーがソーシャルウォールの投稿にフィードバック（いいねまたは嫌い）を追加できるようにします。

*デフォルト: `false`*

### `social_make_teachers_friend_all`

**教師と管理者がソーシャルネットワーク上で学生を友達として表示**

ソーシャルネットワークモジュール内で、講師や管理者がすべての学生に対して自動的に友達として表示されるようにします。

*デフォルト: `false`*

### `social_show_language_flag_in_profile`

**ソーシャルネットワークのプロフィールでアバターの横に言語フラグを表示**

ソーシャルネットワークのプロフィールで、ユーザーの言語設定をアバターの横にフラグアイコンとして表示します。

*デフォルト: `false`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-ja/gaido-1/admin-guide/platform-settings/social-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
